package cn.com.qmth.stmms.ms.commons.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Created by zhengmin on 2017/2/27.
 */
@Component
@ConfigurationProperties(prefix = "sys.config.compression")
public class ImageCompressionConfig {

    private Integer minWith = 1200;
    private Integer minHeight = 800;
    private Integer percent;
    private Integer width;
    private Integer height;

    public Integer getMinWith() {
        return minWith;
    }

    public void setMinWith(Integer minWith) {
        this.minWith = minWith;
    }

    public Integer getMinHeight() {
        return minHeight;
    }

    public void setMinHeight(Integer minHeight) {
        this.minHeight = minHeight;
    }

    public Integer getPercent() {
        return percent;
    }

    public void setPercent(Integer percent) {
        this.percent = percent;
    }

    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }
}
